Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
MayaSavePview Class Reference

This class serves as a plug-in to Maya to save the scene and view it using the external pview program, rather than linking in any part of Panda to a Maya plugin. More...

`#include "mayaSavePview.h"`

Inheritance diagram for MayaSavePview:

## Public Member Functions
virtual MStatus | doIt (const MArgList &args)
| Called when the plugin command is invoked.

## Static Public Member Functions
static void * | creator ()
| This is used to create a new instance of the plugin.

## Detailed Description

This class serves as a plug-in to Maya to save the scene and view it using the external pview program, rather than linking in any part of Panda to a Maya plugin.

Since it does not link with any Panda code, and hence is a very lean plugin, it is less likely than MayaPview to cause interoperability problems within Maya. However, it does force a save-to-disk and a spawning of a separate executable, including a complete reloading of all of the Maya libraries, so it is quite a bit slower to execute. And the potential for interactive control is substantially reduced.

Definition at line 63 of file mayaSavePview.h.

## Constructor & Destructor Documentation

## ◆ MayaSavePview()

MayaSavePview::MayaSavePview | ( |  | ) |

Definition at line 32 of file mayaSavePview.cxx.

## Member Function Documentation

## ◆ creator()

void * MayaSavePview::creator | ( |  | ) |
| static

This is used to create a new instance of the plugin.

Definition at line 98 of file mayaSavePview.cxx.

Referenced by initializePlugin().

## ◆ doIt()

MStatus MayaSavePview::doIt | ( | const MArgList & | args | ) |
| virtual

Called when the plugin command is invoked.

Definition at line 39 of file mayaSavePview.cxx.

The documentation for this class was generated from the following files:

- pandatool/src/mayaprogs/mayaSavePview.h
- pandatool/src/mayaprogs/mayaSavePview.cxx